On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteWallet Transaction ID
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/commerce/billing/wallet-transactions/string"{
"wallet_transaction_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"payment_status": "SETTLED",
"source": "MANUAL",
"transaction_status": "PURCHASED",
"transaction_type": "INBOUND",
"amount": {
"value": 120.35,
"currency_code": "USD"
},
"credits": "100.0",
"settled_at": "2022-04-29T08:59:51Z",
"failed_at": "2022-04-29T08:59:51Z",
"created_at": "2022-04-29T08:59:51Z",
"metadata": [
{
"key": "reason",
"value": "balance depleted"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}